<h1>Contact</h1>
<div class="contactContainer">
  <h4>Contact us</h4>
  <table>
    <tr>
      <td style="height: 0;">
        First name
      </td>
      <td style="height: 0;">
        <span style="margin-left: 20px;">Surname</span>
      </td>
    </tr>
    <tr>
      <td>
        <input type="text" style="margin-bottom: 30px;" [(ngModel)]="firstName"/>
      </td>
      <td>
        <input type="text" style="margin-left: 20px; margin-bottom: 30px;" [(ngModel)]="surname"/>
      </td>
    </tr>
    <tr>
      <td style="height: 0;" [style.color]="validEmail ? 'white' : '#A663ED'">
        E-mail
      </td>
      <td style="height: 0;">
        <span style="margin-left: 20px;">Phone</span>
      </td>
    </tr>
    <tr>
      <td style="height: 0;">
        <i style="font-size: 0.5em;">E-mail or phone number reqiured</i>
      </td>
    </tr>
    <tr>
      <td>
        <input #emailInput="ngModel" type="email" style="margin-bottom: 30px;" [(ngModel)]="email" email/>
      </td>
      <td>
        <input type="tel" style="margin-left: 20px; margin-bottom: 30px;" required [(ngModel)]="phone" />
      </td>
    </tr>
    <tr *ngIf="!validEmail">
      <td style="height: 0;">
        <i class="errorText">E-mail is wrong</i>
      </td>
    </tr>
  </table>
  <div>
    <h4 style="margin-bottom: 5px;">
      Message
    </h4>
    <p style="font-size: 0.75em;"><i>Message reqiured</i></p>
    <textarea class="message" [(ngModel)]="message"></textarea>
  </div>
  <button mat-raised-button class="button" [disabled]="!(email || phone) || !message" (click)="checkForValidEmail()">Send</button>
</div>

<app-footer></app-footer>